import Home from '@/pages/Home'


export default [
  {
    name: 'home',
    path: '/',
    component: Home
  },

  {
    name: 'biblio',
    path: '/biblio',
    components: {
      default: () => import(/* webpackChunkName: "texts" */ '@/pages/Biblio'),
      options: () => import(/* webpackChunkName: "texts" */ '@/pages/_partials/TextOptions')
    },
    props: {
      default: ({ query }) => ({
        mode: query.mode || 'tree-map'
      }),
      options: ({ query }) => ({
        show: !('texts' in query)
      })
    }
  },

  {
    name: 'notfound',
    path: '/404',
    alias: '*',
    component: () => import(/* webpackChunkName: "404" */ '@/pages/NotFound.vue')
  }
]
